Zen API

- Home
- Help Topics
- Types by Category
- All Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
kXml Class Reference
kApi/Data

## Description

Represents an XML document.

Inheritance diagram for kXml:

## Public Member Functions
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...
kStatus | kXml_AddItem (kXml xml, kXmlItem parent, const kChar *name, kXmlItem *item)
| Inserts a new child node at the end of the specified parent node's child list. More...
kStatus | kXml_Assign (kXml xml, kXml source)
| Copies the source document. More...
kStatus | kXml_Attr16s (kXml xml, kXmlItem item, const kChar *name, k16s *value)
| Gets XML attribute content as a k16s value. More...
kStatus | kXml_Attr16u (kXml xml, kXmlItem item, const kChar *name, k16u *value)
| Gets XML attribute content as a k16u value. More...
kStatus | kXml_Attr32f (kXml xml, kXmlItem item, const kChar *name, k32f *value)
| Gets XML attribute content as a k32f value. More...
kStatus | kXml_Attr32s (kXml xml, kXmlItem item, const kChar *name, k32s *value)
| Gets XML attribute content as a k32s value. More...
kStatus | kXml_Attr32u (kXml xml, kXmlItem item, const kChar *name, k32u *value)
| Gets XML attribute content as a k32u value. More...
kStatus | kXml_Attr64f (kXml xml, kXmlItem item, const kChar *name, k64f *value)
| Gets XML attribute content as a k64f value. More...
kStatus | kXml_Attr64s (kXml xml, kXmlItem item, const kChar *name, k64s *value)
| Gets XML attribute content as a k64s value. More...
kStatus | kXml_Attr64u (kXml xml, kXmlItem item, const kChar *name, k64u *value)
| Gets XML attribute content as a k64u value. More...
kStatus | kXml_AttrBool (kXml xml, kXmlItem item, const kChar *name, kBool *value)
| Gets XML attribute content as a kBool value. More...
kSize | kXml_AttrCount (kXml xml, kXmlItem item)
| Returns the number of attributes for the given XML element. More...
kBool | kXml_AttrExists (kXml xml, kXmlItem item, const kChar *name)
| Reports whether a specific attribute exists for the given XML element. More...
const kChar * | kXml_AttrNameAt (kXml xml, kXmlItem item, kSize index)
| Returns an attribute at a specific index within the list of attributes for the given element node. More...
kStatus | kXml_AttrSize (kXml xml, kXmlItem item, const kChar *name, kSize *value)
| Gets XML attribute content as a kSize value. More...
kStatus | kXml_AttrString (kXml xml, kXmlItem item, const kChar *name, kString string)
| Gets XML attribute content as a string object. More...
kStatus | kXml_AttrStringZen (kXml xml, kXmlItem item, const kChar *name, kChar **str)
| Gets XML attribute content as a character array. More...
kStatus | kXml_AttrText (kXml xml, kXmlItem item, const kChar *name, kChar *str, kSize capacity)
| Gets XML attribute content as a character array. More...
kXmlItem | kXml_Child (kXml xml, kXmlItem parent, const kChar *path)
| Returns the child node at the given relative path. More...
kStatus | kXml_Child16s (kXml xml, kXmlItem parent, const kChar *path, k16s *value)
| Gets XML child node content as a k16s value. More...
kStatus | kXml_Child16u (kXml xml, kXmlItem parent, const kChar *path, k16u *value)
| Gets XML child node content as a k16u value. More...
kStatus | kXml_Child32f (kXml xml, kXmlItem parent, const kChar *path, k32f *value)
| Gets XML child node content as a k32f value. More...
kStatus | kXml_Child32s (kXml xml, kXmlItem parent, const kChar *path, k32s *value)
| Gets XML child node content as a k32s value. More...
kStatus | kXml_Child32u (kXml xml, kXmlItem parent, const kChar *path, k32u *value)
| Gets XML child node content as a k32u value. More...
kStatus | kXml_Child64f (kXml xml, kXmlItem parent, const kChar *path, k64f *value)
| Gets XML child node content as a k64f value. More...
kStatus | kXml_Child64s (kXml xml, kXmlItem parent, const kChar *path, k64s *value)
| Gets XML child node content as a k64s value. More...
kStatus | kXml_Child64u (kXml xml, kXmlItem parent, const kChar *path, k64u *value)
| Gets XML child node content as a k64u value. More...
kXmlItem | kXml_ChildAt (kXml xml, kXmlItem parent, kSize index)
| Returns a child node at a specific index within the list of child nodes for the given parent node. More...
kStatus | kXml_ChildBool (kXml xml, kXmlItem parent, const kChar *path, kBool *value)
| Gets XML child node content as a kBool value. More...
kSize | kXml_ChildCount (kXml xml, kXmlItem parent)
| Returns the number of child nodes for the given parent node. More...
kBool | kXml_ChildExists (kXml xml, kXmlItem parent, const kChar *path)
| Reports whether a child node exists at the specified relative path. More...
kStatus | kXml_ChildSize (kXml xml, kXmlItem parent, const kChar *path, kSize *value)
| Gets XML child node content as a kSize value. More...
kStatus | kXml_ChildString (kXml xml, kXmlItem parent, const kChar *path, kString str)
| Gets XML child node content as a string object. More...
kStatus | kXml_ChildStringZen (kXml xml, kXmlItem parent, const kChar *path, kChar **str)
| Gets XML element node content as a character array. More...
kStatus | kXml_ChildText (kXml xml, kXmlItem parent, const kChar *path, kChar *str, kSize capacity)
| Gets XML child node content as a character array. More...
kStatus | kXml_Clear (kXml xml)
| Removes all elements from the XML document. More...
kStatus | kXml_ClearItem (kXml xml, kXmlItem item)
| Removes all children, attributes, and value from the XML element node. More...
kStatus | kXml_Compact (kXml xml)
| Compacts the XML object for minimum memory usage. More...
kStatus | kXml_Construct (kXml *xml, kAlloc allocator)
| Represents an XML element within an XML document. More...
kStatus | kXml_CopyItem (kXml xml, kXmlItem parent, kXmlItem before, kXml srcXml, kXmlItem srcItem, kXmlItem *item)
| Copies a node from one XML document to another XML document, inserting a new node a specified location. More...
kStatus | kXml_DeleteAttr (kXml xml, kXmlItem item, const kChar *name)
| Deletes an XML attribute. More...
kStatus | kXml_DeleteAttrs (kXml xml, kXmlItem item)
| Deletes all XML attributes. More...
kStatus | kXml_DeleteChildren (kXml xml, kXmlItem item)
| Deletes all children in the specified parent item. More...
kStatus | kXml_DeleteItem (kXml xml, kXmlItem item)
| Deletes an XML element node. More...
kStatus | kXml_EnsureChildExists (kXml xml, kXmlItem parent, const kChar *path, kXmlItem *item)
| Creates a child node at the specified path. More...
kStatus | kXml_FindChild (kXml xml, kXmlItem parent, const kChar *path, kXmlItem *child)
| Finds the child node at the given relative path, if it exists. More...
kStatus | kXml_FindRoot (kXml xml, kXmlItem *root)
| Finds the root node, if it exists. More...
kXmlItem | kXml_FirstChild (kXml xml, kXmlItem parent)
| Returns the first child element of the given parent node. More...
kStatus | kXml_FromString (kXml xml, kString str)
| Loads an XML document from a string object. More...
kStatus | kXml_FromText (kXml *xml, const kChar *str, kAlloc allocator)
| Loads an XML document from a character array. More...
kStatus | kXml_InsertItem (kXml xml, kXmlItem before, const kChar *name, kXmlItem *item)
| Inserts a new node before the specified sibling node. More...
kStatus | kXml_Item16s (kXml xml, kXmlItem item, k16s *value)
| Gets XML element node content as a k16s value. More...
kStatus | kXml_Item16u (kXml xml, kXmlItem item, k16u *value)
| Gets XML element node content as a k16u value. More...
kStatus | kXml_Item32f (kXml xml, kXmlItem item, k32f *value)
| Gets XML element node content as a k32f value. More...
kStatus | kXml_Item32s (kXml xml, kXmlItem item, k32s *value)
| Gets XML element node content as a k32s value. More...
kStatus | kXml_Item32u (kXml xml, kXmlItem item, k32u *value)
| Gets XML element node content as a k32u value. More...
kStatus | kXml_Item64f (kXml xml, kXmlItem item, k64f *value)
| Gets XML element node content as a k64f value. More...
kStatus | kXml_Item64s (kXml xml, kXmlItem item, k64s *value)
| Gets XML element node content as a k64s value. More...
kStatus | kXml_Item64u (kXml xml, kXmlItem item, k64u *value)
| Gets XML element node content as a k64u value. More...
kStatus | kXml_ItemBool (kXml xml, kXmlItem item, kBool *value)
| Gets XML element node content as a kBool value. More...
const kChar * | kXml_ItemName (kXml xml, kXmlItem item)
| Returns the name of an XML element node. More...
kStatus | kXml_ItemSize (kXml xml, kXmlItem item, kSize *value)
| Gets XML element node content as a kSize value. More...
kStatus | kXml_ItemString (kXml xml, kXmlItem item, kString str)
| Gets XML element node content as a string object. More...
kStatus | kXml_ItemStringZen (kXml xml, kXmlItem item, kChar **str)
| Gets XML element content as a character array. More...
kStatus | kXml_ItemText (kXml xml, kXmlItem item, kChar *str, kSize capacity)
| Gets XML element content as a character array. More...
kXmlItem | kXml_LastChild (kXml xml, kXmlItem parent)
| Returns the last child element of the given parent node. More...
kStatus | kXml_Load (kXml *xml, const kChar *fileName, kAlloc allocator)
| Loads an XML document from file. More...
kStatus | kXml_LoadBytes (kXml *xml, const kByte *data, kSize size, kAlloc allocator)
| Loads an XML document from an in-memory file. More...
kXmlItem | kXml_NextSibling (kXml xml, kXmlItem item)
| Returns the next sibling element of the given element node. More...
kStatus | kXml_OverwriteItem (kXml xml, kXmlItem destItem, kXml srcXml, kXmlItem srcItem)
| Copies a node from one XML document to another XML document, overwriting an existing element. More...
kXmlItem | kXml_Parent (kXml xml, kXmlItem item)
| Returns the parent node of the given element. More...
kXmlItem | kXml_PreviousSibling (kXml xml, kXmlItem item)
| Returns the previous sibling element of the given element node. More...
kStatus | kXml_Read (kXml xml, kStream stream)
| Loads an XML document from a stream. More...
kXmlItem | kXml_Root (kXml xml)
| Returns the root element of the XML document. More...
kStatus | kXml_Save (kXml xml, const kChar *fileName)
| Saves the XML document object to file. More...
kStatus | kXml_SaveBytes (kXml xml, kByte **data, kSize *size, kAlloc allocator)
| Saves an XML document to an in-memory file. More...
kStatus | kXml_SetAttr16s (kXml xml, kXmlItem item, const kChar *name, k16s value)
| Sets XML attribute content from a k16s value. More...
kStatus | kXml_SetAttr16u (kXml xml, kXmlItem item, const kChar *name, k16u value)
| Sets XML attribute content from a k16u value. More...
kStatus | kXml_SetAttr32f (kXml xml, kXmlItem item, const kChar *name, k32f value)
| Sets XML attribute content from a k32f value. More...
kStatus | kXml_SetAttr32s (kXml xml, kXmlItem item, const kChar *name, k32s value)
| Sets XML attribute content from a k32s value. More...
kStatus | kXml_SetAttr32u (kXml xml, kXmlItem item, const kChar *name, k32u value)
| Sets XML attribute content from a k32u value. More...
kStatus | kXml_SetAttr64f (kXml xml, kXmlItem item, const kChar *name, k64f value)
| Sets XML attribute content from a k64f value. More...
kStatus | kXml_SetAttr64s (kXml xml, kXmlItem item, const kChar *name, k64s value)
| Sets XML attribute content from a k64s value. More...
kStatus | kXml_SetAttr64u (kXml xml, kXmlItem item, const kChar *name, k64u value)
| Sets XML attribute content from a k64u value. More...
kStatus | kXml_SetAttrBool (kXml xml, kXmlItem item, const kChar *name, kBool value)
| Sets XML attribute content from a kBool value. More...
kStatus | kXml_SetAttrSize (kXml xml, kXmlItem item, const kChar *name, kSize value)
| Sets XML attribute content from a kSize value. More...
kStatus | kXml_SetAttrText (kXml xml, kXmlItem item, const kChar *name, const kChar *str)
| Sets XML attribute content from a character array. More...
kStatus | kXml_SetChild16s (kXml xml, kXmlItem parent, const kChar *path, k16s value)
| Sets XML child node content from a k16s value. More...
kStatus | kXml_SetChild16u (kXml xml, kXmlItem parent, const kChar *path, k16u value)
| Sets XML child node content from a k16u value. More...
kStatus | kXml_SetChild32f (kXml xml, kXmlItem parent, const kChar *path, k32f value)
| Sets XML child node content from a k32f value. More...
kStatus | kXml_SetChild32s (kXml xml, kXmlItem parent, const kChar *path, k32s value)
| Sets XML child node content from a k32s value. More...
kStatus | kXml_SetChild32u (kXml xml, kXmlItem parent, const kChar *path, k32u value)
| Sets XML child node content from a k32u value. More...
kStatus | kXml_SetChild64f (kXml xml, kXmlItem parent, const kChar *path, k64f value)
| Sets XML child node content from a k64f value. More...
kStatus | kXml_SetChild64s (kXml xml, kXmlItem parent, const kChar *path, k64s value)
| Sets XML child node content from a k64s value. More...
kStatus | kXml_SetChild64u (kXml xml, kXmlItem parent, const kChar *path, k64u value)
| Sets XML child node content from a k64u value. More...
kStatus | kXml_SetChildBool (kXml xml, kXmlItem parent, const kChar *path, kBool value)
| Sets XML child node content from a kBool value. More...
kStatus | kXml_SetChildSize (kXml xml, kXmlItem parent, const kChar *path, kSize value)
| Sets XML child node content from a kSize value. More...
kStatus | kXml_SetChildText (kXml xml, kXmlItem parent, const kChar *path, const kChar *str)
| Sets XML child node content from a character array. More...
kStatus | kXml_SetItem16s (kXml xml, kXmlItem item, k16s value)
| Sets XML element node content from a k16s value. More...
kStatus | kXml_SetItem16u (kXml xml, kXmlItem item, k16u value)
| Sets XML element node content from a k16u value. More...
kStatus | kXml_SetItem32f (kXml xml, kXmlItem item, k32f value)
| Sets XML element node content from a k32f value. More...
kStatus | kXml_SetItem32s (kXml xml, kXmlItem item, k32s value)
| Sets XML element node content from a k32s value. More...
kStatus | kXml_SetItem32u (kXml xml, kXmlItem item, k32u value)
| Sets XML element node content from a k32u value. More...
kStatus | kXml_SetItem64f (kXml xml, kXmlItem item, k64f value)
| Sets XML element node content from a k64f value. More...
kStatus | kXml_SetItem64s (kXml xml, kXmlItem item, k64s value)
| Sets XML element node content from a k64s value. More...
kStatus | kXml_SetItem64u (kXml xml, kXmlItem item, k64u value)
| Sets XML element node content from a k64u value. More...
kStatus | kXml_SetItemBool (kXml xml, kXmlItem item, kBool value)
| Sets XML element node content from a kBool value. More...
kStatus | kXml_SetItemName (kXml xml, kXmlItem item, const kChar *name)
| Sets the name of an XML element node. More...
kStatus | kXml_SetItemSize (kXml xml, kXmlItem item, kSize value)
| Sets XML element node content from a kSize value. More...
kStatus | kXml_SetItemText (kXml xml, kXmlItem item, const kChar *str)
| Sets XML element node content from a character array. More...
kStatus | kXml_ToString (kXml xml, kString str)
| Exports the XML document to a string object. More...
kStatus | kXml_Write (kXml xml, kStream stream)
| Writes an XML document to a stream. More...

## Member Function Documentation

kAlloc kObject_Alloc | ( | kObject | object | ) |
| inherited

Gets the memory allocator associated with this object.

Most objects are constructed with an allocator, which is used to allocate the memory required by the object. Objects retain a reference to this allocator to enable further allocations and to free memory when the object is destroyed.

Parameters

  object | Object.

Returns
  Memory allocator.

See also
  kAlloc, kObject_Alloc_

kStatus kObject_Clone | ( | kObject * | object,
|  | kObject | source,
|  | kAlloc | allocator
| ) |  |
| inherited

Constructs a new object by copying an existing object, including any aggregated child elements.

If the source object is an object collection (e.g. kArrayList<kString>), any aggregated child objects are also cloned. In this case, the kObject_Dispose method can be used to free the cloned collection and its associated elements.

This method will fail if the source object (or an aggregated child element) does not support cloning.

Parameters

  object | Receives the constructed object.
  source | Source object.
  allocator | Memory allocator (or kNULL for default).

Returns
  Operation status.

See also
  kObject_Dispose

kStatus kObject_Destroy | ( | kObject | object | ) |
| inherited

Destroys the object.

The kObject_Destroy method destroys the object itself and any resources that are owned by the object. See Object Destruction for more information.

When an object is destroyed (or disposed), its reference count is decremented. The object is only truly destroyed when the reference count reaches zero. See Reference Counting for more information.

Parameters

  object | Object (or kNULL).

Returns
  Operation status.

See also
  Object Destruction, Reference Counting

kStatus kObject_Dispose | ( | kObject | object | ) |
| inherited

Destroys the object and any aggregated child elements.

The kObject_Dispose method destroys the object itself, any resources that are owned by the object, and if the object represents a collection of objects, any child objects in the collection. See Object Destruction for more information.

When an object is destroyed (or disposed), its reference count is decremented. The object is only truly destroyed when the reference count reaches zero. See Reference Counting for more information.

Parameters

  object | Object (or kNULL).

Returns
  Operation status.

See also
  Object Destruction, Reference Counting

kBool kObject_Equals | ( | kObject | object,
|  | kObject | other
| ) |  |
| inherited

Determines whether the object is equal to another object.

By default, objects are compared by reference; objects are considered equal if the given handles refer to the same object instance. However, some classes override the Equals method to provide a more meaningful comparison (e.g. kString).

Parameters

  object | Object.
  other | Object for comparison.

Returns
  kTRUE if the objects are equal.

kSize kObject_HashCode | ( | kObject | object | ) |
| inherited

Gets a hash code representing the state of this object.

By default, objects return a hash code based on the object handle value. However, some classes override the HashCode method to provide a more useful hash (e.g. kString).

Parameters

  object | Object.

Returns
  Hash code.

kBool kObject_Is | ( | kObject | object,
|  | kType | type
| ) |  |
| inherited

Determines whether this object is an instance of the specified type.

This function compares the type of this object with the given type. An object is considered to be an instance of a given type if a) the type represents a class and this object inherits from (or instantiates) that class, or b) the type represents an interface and this object implements the interface.

Parameters

  object | Object.
  type | Type.

Returns
  kTRUE if the object is of the specified type; otherwise kFALSE.

See also
  kObject_Is_, kType_Is

kBool kObject_IsShared | ( | kObject | object | ) |
| inherited

Reports whether the object is currently shared (reference count greater than one).

Objects are initialized with a reference count of one. The kObject_Share method can be used to increment the reference count. The kObject_Destroy and kObject_Dispose methods decrease the reference count, and when the reference count reaches zero, the object is actually destroyed/disposed.

This method can be used to determine if the reference count of an object is currently greater than one.

This method is thread-safe.

Parameters

  object | Object.

Returns
  kTRUE if the object is shared; kFALSE otherwise.

See also
  Reference Counting, kObject_Share

kStatus kObject_SetPool | ( | kObject | object,
|  | kObjectPool | pool
| ) |  |
| inherited

Sets the object pool associated with this object.

Object pools can be used to implement custom lifecycle management. If an object has an assigned pool, then the kObjectPool_Reclaim method will be called just prior to destruction, to provide an opportunity for the object to be reclaimed.

Parameters

  object | Object.
  pool | Pool object (or kNULL to clear the pool assignment).

Returns
  Operation status.

kStatus kObject_Share | ( | kObject | object | ) |
| inherited

Increments the reference count associated with this object.

This method is thread-safe.

Parameters

  object | Object.

Returns
  Operation status.

See also
  reference-counting

kSize kObject_Size | ( | kObject | object | ) |
| inherited

Estimates the memory consumed by this object, including any aggregated child elements.

This method can be optionally overridden by kObject-derived classes to report the amount of memory consumed by an object. The default implementation reports only the size of the class instance (additional allocations performed by the class are excluded).

Parameters

  object | Object.

Returns
  Object size, in bytes.

kType kObject_Type | ( | kObject | object | ) |
| inherited

Returns the type of the object.

Each object is an instance of a specific class type. The type handle returned by this function can be used to learn about the class.

Parameters

  object | Object.

Returns
  Type.

See also
  kType, kObject_Type_

kStatus kXml_AddItem | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | name,
|  | kXmlItem * | item
| ) |  |

Inserts a new child node at the end of the specified parent node's child list.

Parameters

  xml | XML document.
  parent | Parent node.
  name | Name of the new node.
  item | Destination for the item handle.

Returns
  Operation status.

kStatus kXml_Assign | ( | kXml | xml,
|  | kXml | source
| ) |  |

Copies the source document.

Parameters

  xml | XML document.
  source | Source document to be copied.

Returns
  Operation status.

kStatus kXml_Attr16s | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k16s * | value
| ) |  |

Gets XML attribute content as a k16s value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_Attr16u | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k16u * | value
| ) |  |

Gets XML attribute content as a k16u value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_Attr32f | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k32f * | value
| ) |  |

Gets XML attribute content as a k32f value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_Attr32s | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k32s * | value
| ) |  |

Gets XML attribute content as a k32s value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_Attr32u | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k32u * | value
| ) |  |

Gets XML attribute content as a k32u value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_Attr64f | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k64f * | value
| ) |  |

Gets XML attribute content as a k64f value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_Attr64s | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k64s * | value
| ) |  |

Gets XML attribute content as a k64s value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_Attr64u | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k64u * | value
| ) |  |

Gets XML attribute content as a k64u value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_AttrBool | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | kBool * | value
| ) |  |

Gets XML attribute content as a kBool value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a boolean value.

Returns
  Operation status.

kSize kXml_AttrCount | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Returns the number of attributes for the given XML element.

Parameters

  xml | XML document.
  item | Element node.

Returns
  Number of attributes.

kBool kXml_AttrExists | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name
| ) |  |

Reports whether a specific attribute exists for the given XML element.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.

Returns
  kTRUE if attribute exists. kFALSE otherwise.

const kChar * kXml_AttrNameAt | ( | kXml | xml,
|  | kXmlItem | item,
|  | kSize | index
| ) |  |

Returns an attribute at a specific index within the list of attributes for the given element node.

Parameters

  xml | XML document.
  item | Element node.
  index | Attribute index.

Returns
  Operation status.

kStatus kXml_AttrSize | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | kSize * | value
| ) |  |

Gets XML attribute content as a kSize value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Returns attribute content as a numeric value.

Returns
  Operation status.

kStatus kXml_AttrString | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | kString | string
| ) |  |

Gets XML attribute content as a string object.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  string | String object.

Returns
  Operation status.

kStatus kXml_AttrStringZen | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | kChar ** | str
| ) |  |

Gets XML attribute content as a character array.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  str | Character array.

Returns
  Operation status.

kStatus kXml_AttrText | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | kChar * | str,
|  | kSize | capacity
| ) |  |

Gets XML attribute content as a character array.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  str | Character array.
  capacity | Character array capacity, in bytes (includes null-terminator).

Returns
  Operation status.

kXmlItem kXml_Child | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path
| ) |  |

Returns the child node at the given relative path.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.

Returns
  Operation status.

kStatus kXml_Child16s | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k16s * | value
| ) |  |

Gets XML child node content as a k16s value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Child16u | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k16u * | value
| ) |  |

Gets XML child node content as a k16u value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Child32f | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k32f * | value
| ) |  |

Gets XML child node content as a k32f value.

Parameters

  xml | XML document.
  parent | XML document.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Child32s | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k32s * | value
| ) |  |

Gets XML child node content as a k32s value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Child32u | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k32u * | value
| ) |  |

Gets XML child node content as a k32u value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Child64f | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k64f * | value
| ) |  |

Gets XML child node content as a k64f value.

Parameters

  xml | XML document.
  parent | XML document.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Child64s | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k64s * | value
| ) |  |

Gets XML child node content as a k64s value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Child64u | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k64u * | value
| ) |  |

Gets XML child node content as a k64u value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kXmlItem kXml_ChildAt | ( | kXml | xml,
|  | kXmlItem | parent,
|  | kSize | index
| ) |  |

Returns a child node at a specific index within the list of child nodes for the given parent node.

Parameters

  xml | XML document.
  parent | Parent node.
  index | Child node index.

Returns
  Operation status.

kStatus kXml_ChildBool | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kBool * | value
| ) |  |

Gets XML child node content as a kBool value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a boolean value.

Returns
  Operation status.

kSize kXml_ChildCount | ( | kXml | xml,
|  | kXmlItem | parent
| ) |  |

Returns the number of child nodes for the given parent node.

Parameters

  xml | XML document.
  parent | Parent node.

Returns
  Operation status.

kBool kXml_ChildExists | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path
| ) |  |

Reports whether a child node exists at the specified relative path.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.

Returns
  kTRUE if child exists. kFALSE otherwise.

kStatus kXml_ChildSize | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kSize * | value
| ) |  |

Gets XML child node content as a kSize value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_ChildString | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kString | str
| ) |  |

Gets XML child node content as a string object.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  str | String object.

Returns
  Operation status.

kStatus kXml_ChildStringZen | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kChar ** | str
| ) |  |

Gets XML element node content as a character array.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  str | Receives null-terminated character array.

Returns
  Operation status.

kStatus kXml_ChildText | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kChar * | str,
|  | kSize | capacity
| ) |  |

Gets XML child node content as a character array.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  str | Character array.
  capacity | Character array capacity, in bytes (includes null-terminator).

Returns
  Operation status.

kStatus kXml_Clear | ( | kXml | xml | ) |

Removes all elements from the XML document.

Parameters

  xml | XML document.

Returns
  Operation status.

kStatus kXml_ClearItem | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Removes all children, attributes, and value from the XML element node.

Parameters

  xml | XML document.
  item | Element node.

Returns
  Operation status.

kStatus kXml_Compact | ( | kXml | xml | ) |

Compacts the XML object for minimum memory usage.

Compacting a document renders existing kXmlItem handles invalid.

Parameters

  xml | XML document object.

Returns
  Operation status.

kStatus kXml_Construct | ( | kXml * | xml,
|  | kAlloc | allocator
| ) |  |

Represents an XML element within an XML document.

Constructs a kXml object.

The kXml object is initially empty; use kXml_AddItem with parent=kNULL to create a root node.

Parameters

  xml | Destination for the constructed object handle.
  allocator | Memory allocator.

Returns
  Operation status.

kStatus kXml_CopyItem | ( | kXml | xml,
|  | kXmlItem | parent,
|  | kXmlItem | before,
|  | kXml | srcXml,
|  | kXmlItem | srcItem,
|  | kXmlItem * | item
| ) |  |

Copies a node from one XML document to another XML document, inserting a new node a specified location.

Parameters

  xml | Destination XML document.
  parent | Destination parent element.
  before | Destination sibling element (kNULL appends to end of parent's child list).
  srcXml | Source XML document.
  srcItem | Source XML element.
  item | Destination for the copied item handle.

Returns
  Operation status.

kStatus kXml_DeleteAttr | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name
| ) |  |

Deletes an XML attribute.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.

Returns
  Operation status.

kStatus kXml_DeleteAttrs | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Deletes all XML attributes.

Parameters

  xml | XML document.
  item | Element node.

Returns
  Operation status.

kStatus kXml_DeleteChildren | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Deletes all children in the specified parent item.

Parameters

  xml | XML document.
  item | Parent node.

Returns
  Operation status.

kStatus kXml_DeleteItem | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Deletes an XML element node.

Parameters

  xml | XML document object.
  item | Element node.

Returns
  Operation status.

kStatus kXml_EnsureChildExists | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kXmlItem * | item
| ) |  |

Creates a child node at the specified path.

Also creates necessary nodes for the path to be complete. If a child already exists for the specified path, its handle is returned and a new one is not created.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  item | Destination for the item handle.

Returns
  Operation status.

kStatus kXml_FindChild | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kXmlItem * | child
| ) |  |

Finds the child node at the given relative path, if it exists.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  child | Receives child node, if it exists.

Returns
  kOperation status (kERROR_FORMAT if not found).

kStatus kXml_FindRoot | ( | kXml | xml,
|  | kXmlItem * | root
| ) |  |

Finds the root node, if it exists.

Parameters

  xml | XML document.
  root | Receives root node, if it exists.

Returns
  kOperation status (kERROR_FORMAT if not found).

kXmlItem kXml_FirstChild | ( | kXml | xml,
|  | kXmlItem | parent
| ) |  |

Returns the first child element of the given parent node.

Parameters

  xml | XML document.
  parent | Parent node.

Returns
  Operation status.

kStatus kXml_FromString | ( | kXml | xml,
|  | kString | str
| ) |  |

Loads an XML document from a string object.

Parameters

  xml | XML document.
  str | String object.

Returns
  Operation status.

kStatus kXml_FromText | ( | kXml * | xml,
|  | const kChar * | str,
|  | kAlloc | allocator
| ) |  |

Loads an XML document from a character array.

Parameters

  xml | Destination for the constructed object handle.
  str | Null-terminated character array to parse.
  allocator | Memory allocator (or kNULL for default).

Returns
  Operation status.

kStatus kXml_InsertItem | ( | kXml | xml,
|  | kXmlItem | before,
|  | const kChar * | name,
|  | kXmlItem * | item
| ) |  |

Inserts a new node before the specified sibling node.

Parameters

  xml | XML document.
  before | Sibling node.
  name | Name of the new node.
  item | Destination for the item handle.

Returns
  Operation status.

kStatus kXml_Item16s | ( | kXml | xml,
|  | kXmlItem | item,
|  | k16s * | value
| ) |  |

Gets XML element node content as a k16s value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Item16u | ( | kXml | xml,
|  | kXmlItem | item,
|  | k16u * | value
| ) |  |

Gets XML element node content as a k16u value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Item32f | ( | kXml | xml,
|  | kXmlItem | item,
|  | k32f * | value
| ) |  |

Gets XML element node content as a k32f value.

Parameters

  xml | XML document object.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Item32s | ( | kXml | xml,
|  | kXmlItem | item,
|  | k32s * | value
| ) |  |

Gets XML element node content as a k32s value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Item32u | ( | kXml | xml,
|  | kXmlItem | item,
|  | k32u * | value
| ) |  |

Gets XML element node content as a k32u value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Item64f | ( | kXml | xml,
|  | kXmlItem | item,
|  | k64f * | value
| ) |  |

Gets XML element node content as a k64f value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Item64s | ( | kXml | xml,
|  | kXmlItem | item,
|  | k64s * | value
| ) |  |

Gets XML element node content as a k64s value.

Parameters

  xml | XML document object.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_Item64u | ( | kXml | xml,
|  | kXmlItem | item,
|  | k64u * | value
| ) |  |

Gets XML element node content as a k64u value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_ItemBool | ( | kXml | xml,
|  | kXmlItem | item,
|  | kBool * | value
| ) |  |

Gets XML element node content as a kBool value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a boolean value.

Returns
  Operation status.

const kChar * kXml_ItemName | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Returns the name of an XML element node.

Parameters

  xml | XML document.
  item | Element node.

Returns
  Operation status.

kStatus kXml_ItemSize | ( | kXml | xml,
|  | kXmlItem | item,
|  | kSize * | value
| ) |  |

Gets XML element node content as a kSize value.

Parameters

  xml | XML document.
  item | Element node.
  value | Returns XML content as a numeric value.

Returns
  Operation status.

kStatus kXml_ItemString | ( | kXml | xml,
|  | kXmlItem | item,
|  | kString | str
| ) |  |

Gets XML element node content as a string object.

Parameters

  xml | XML document.
  item | Element node.
  str | String object.

Returns
  Operation status.

kStatus kXml_ItemStringZen | ( | kXml | xml,
|  | kXmlItem | item,
|  | kChar ** | str
| ) |  |

Gets XML element content as a character array.

Use the kMemFree function to deallocate the received character array.

Parameters

  xml | XML document.
  item | Element node.
  str | Receives null-terminated character array.

Returns
  Operation status.

kStatus kXml_ItemText | ( | kXml | xml,
|  | kXmlItem | item,
|  | kChar * | str,
|  | kSize | capacity
| ) |  |

Gets XML element content as a character array.

Parameters

  xml | XML document.
  item | Element node.
  str | Character array.
  capacity | Character array capacity, in bytes (includes null-terminator).

Returns
  Operation status.

kXmlItem kXml_LastChild | ( | kXml | xml,
|  | kXmlItem | parent
| ) |  |

Returns the last child element of the given parent node.

Parameters

  xml | XML document.
  parent | Parent node.

Returns
  Operation status.

kStatus kXml_Load | ( | kXml * | xml,
|  | const kChar * | fileName,
|  | kAlloc | allocator
| ) |  |

Loads an XML document from file.

Parameters

  xml | Destination for the constructed object handle.
  fileName | Name of the file.
  allocator | Memory allocator (or kNULL for default).

Returns
  Operation status.

kStatus kXml_LoadBytes | ( | kXml * | xml,
|  | const kByte * | data,
|  | kSize | size,
|  | kAlloc | allocator
| ) |  |

Loads an XML document from an in-memory file.

Parameters

  xml | Destination for the constructed object handle.
  data | File data.
  size | File size.
  allocator | Memory allocator (or kNULL for default).

Returns
  Operation status.

kXmlItem kXml_NextSibling | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Returns the next sibling element of the given element node.

Parameters

  xml | XML document.
  item | Element node.

Returns
  Operation status.

kStatus kXml_OverwriteItem | ( | kXml | xml,
|  | kXmlItem | destItem,
|  | kXml | srcXml,
|  | kXmlItem | srcItem
| ) |  |

Copies a node from one XML document to another XML document, overwriting an existing element.

Parameters

  xml | XML destination document.
  destItem | XML destination element.
  srcXml | Source XML document.
  srcItem | Source XML element.

Returns
  Operation status.

kXmlItem kXml_Parent | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Returns the parent node of the given element.

Parameters

  xml | XML document.
  item | Element node.

Returns
  Operation status.

kXmlItem kXml_PreviousSibling | ( | kXml | xml,
|  | kXmlItem | item
| ) |  |

Returns the previous sibling element of the given element node.

Parameters

  xml | XML document.
  item | Element node.

Returns
  Operation status.

kStatus kXml_Read | ( | kXml | xml,
|  | kStream | stream
| ) |  |

Loads an XML document from a stream.

Parameters

  xml | XML object.
  stream | Stream for reading.

Returns
  Operation status.

kXmlItem kXml_Root | ( | kXml | xml | ) |

Returns the root element of the XML document.

Parameters

  xml | XML document.

Returns
  XML root node.

kStatus kXml_Save | ( | kXml | xml,
|  | const kChar * | fileName
| ) |  |

Saves the XML document object to file.

Parameters

  xml | XML document.
  fileName | Name of the file.

Returns
  Operation status.

kStatus kXml_SaveBytes | ( | kXml | xml,
|  | kByte ** | data,
|  | kSize * | size,
|  | kAlloc | allocator
| ) |  |

Saves an XML document to an in-memory file.

Parameters

  xml | XML document.
  data | Receives the file data.
  size | Receives the file size.
  allocator | Memory allocator (or kNULL for default).

Returns
  Operation status.

kStatus kXml_SetAttr16s | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k16s | value
| ) |  |

Sets XML attribute content from a k16s value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttr16u | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k16u | value
| ) |  |

Sets XML attribute content from a k16u value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttr32f | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k32f | value
| ) |  |

Sets XML attribute content from a k32f value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttr32s | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k32s | value
| ) |  |

Sets XML attribute content from a k32s value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttr32u | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k32u | value
| ) |  |

Sets XML attribute content from a k32u value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttr64f | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k64f | value
| ) |  |

Sets XML attribute content from a k64f value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttr64s | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k64s | value
| ) |  |

Sets XML attribute content from a k64s value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttr64u | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | k64u | value
| ) |  |

Sets XML attribute content from a k64u value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttrBool | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | kBool | value
| ) |  |

Sets XML attribute content from a kBool value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Boolean value.

Returns
  Operation status.

kStatus kXml_SetAttrSize | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | kSize | value
| ) |  |

Sets XML attribute content from a kSize value.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetAttrText | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name,
|  | const kChar * | str
| ) |  |

Sets XML attribute content from a character array.

Parameters

  xml | XML document.
  item | Element node.
  name | Attribute name.
  str | Character array.

Returns
  Operation status.

kStatus kXml_SetChild16s | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k16s | value
| ) |  |

Sets XML child node content from a k16s value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChild16u | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k16u | value
| ) |  |

Sets XML child node content from a k16u value.

Parameters

  xml | XML document object.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChild32f | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k32f | value
| ) |  |

Sets XML child node content from a k32f value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChild32s | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k32s | value
| ) |  |

Sets XML child node content from a k32s value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChild32u | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k32u | value
| ) |  |

Sets XML child node content from a k32u value.

Parameters

  xml | XML document object.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChild64f | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k64f | value
| ) |  |

Sets XML child node content from a k64f value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChild64s | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k64s | value
| ) |  |

Sets XML child node content from a k64s value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChild64u | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | k64u | value
| ) |  |

Sets XML child node content from a k64u value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChildBool | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kBool | value
| ) |  |

Sets XML child node content from a kBool value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Boolean value.

Returns
  Operation status.

kStatus kXml_SetChildSize | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | kSize | value
| ) |  |

Sets XML child node content from a kSize value.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetChildText | ( | kXml | xml,
|  | kXmlItem | parent,
|  | const kChar * | path,
|  | const kChar * | str
| ) |  |

Sets XML child node content from a character array.

Parameters

  xml | XML document.
  parent | Parent node.
  path | Path relative to the parent node.
  str | Character array.

Returns
  Operation status.

kStatus kXml_SetItem16s | ( | kXml | xml,
|  | kXmlItem | item,
|  | k16s | value
| ) |  |

Sets XML element node content from a k16s value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItem16u | ( | kXml | xml,
|  | kXmlItem | item,
|  | k16u | value
| ) |  |

Sets XML element node content from a k16u value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItem32f | ( | kXml | xml,
|  | kXmlItem | item,
|  | k32f | value
| ) |  |

Sets XML element node content from a k32f value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItem32s | ( | kXml | xml,
|  | kXmlItem | item,
|  | k32s | value
| ) |  |

Sets XML element node content from a k32s value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItem32u | ( | kXml | xml,
|  | kXmlItem | item,
|  | k32u | value
| ) |  |

Sets XML element node content from a k32u value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItem64f | ( | kXml | xml,
|  | kXmlItem | item,
|  | k64f | value
| ) |  |

Sets XML element node content from a k64f value.

Parameters

  xml | XML document object.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItem64s | ( | kXml | xml,
|  | kXmlItem | item,
|  | k64s | value
| ) |  |

Sets XML element node content from a k64s value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItem64u | ( | kXml | xml,
|  | kXmlItem | item,
|  | k64u | value
| ) |  |

Sets XML element node content from a k64u value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItemBool | ( | kXml | xml,
|  | kXmlItem | item,
|  | kBool | value
| ) |  |

Sets XML element node content from a kBool value.

Parameters

  xml | XML document.
  item | Element node.
  value | Boolean value.

Returns
  Operation status.

kStatus kXml_SetItemName | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | name
| ) |  |

Sets the name of an XML element node.

Parameters

  xml | XML document.
  item | Element node.
  name | Element name.

Returns
  Operation status.

kStatus kXml_SetItemSize | ( | kXml | xml,
|  | kXmlItem | item,
|  | kSize | value
| ) |  |

Sets XML element node content from a kSize value.

Parameters

  xml | XML document.
  item | Element node.
  value | Numeric value.

Returns
  Operation status.

kStatus kXml_SetItemText | ( | kXml | xml,
|  | kXmlItem | item,
|  | const kChar * | str
| ) |  |

Sets XML element node content from a character array.

Parameters

  xml | XML document.
  item | Element node.
  str | Character array.

Returns
  Operation status.

kStatus kXml_ToString | ( | kXml | xml,
|  | kString | str
| ) |  |

Exports the XML document to a string object.

Parameters

  xml | XML document.
  str | String object to receive the XML content.

Returns
  Operation status.

kStatus kXml_Write | ( | kXml | xml,
|  | kStream | stream
| ) |  |

Writes an XML document to a stream.

Parameters

  xml | XML object.
  stream | Stream for writing.

Returns
  Operation status.

The documentation for this class was generated from the following file:

- Data/kXml.h